OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class MockLogAppenderTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.opennms.netmgt.mock.MockLogAppenderTest

All Implemented Interfaces:
  junit.framework.Test

public class MockLogAppenderTest
extends junit.framework.TestCase

Author:
  brozow

Field Summary

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`MockLogAppenderTest()`

Method Summary
`protected void` `setUp()`
`protected void` `tearDown()`
`void` `testError()`
`void` `testErrorWithException()`
`void` `testInfo()`
`void` `testInfoWithException()`
`void` `testWarn()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MockLogAppenderTest

    public MockLogAppenderTest()

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testInfo

    public void testInfo()

### testWarn

    public void testWarn()

### testError

    public void testError()

### testInfoWithException

    public void testInfoWithException()

### testErrorWithException

    public void testErrorWithException()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.